### Method

# GIRepository Repository find_by_error_domain

since: 2.80

#### Declaration [src]

    GIEnumInfo*
    gi_repository_find_by_error_domain (
      GIRepository* repository,
      GQuark domain
    )

#### Description [src]

Searches for the enum type corresponding to the given `GError` domain.

Before calling this function for a particular namespace, you must call `gi_repository_require()` to load the namespace, or otherwise ensure the namespace has already been loaded.

Available since: 2.80

#### Parameters

`domain`

  Type: `GQuark`

  A `GError` domain.

#### Return value

Type: `GIEnumInfo`

`GIEnumInfo` representing metadata about `domain`’s enum type, or `NULL` if none found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.